import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';

<Meta
  title="Form/digi-form-filter"
  parameters={{
    actions: {
      handles: ['afOnFocusout', 'afOnSubmitFilters', 'afOnResetFilters', 'afOnChange'],
    },
  }}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the default filter.

<Canvas>
  <Story
    name="Standard"
    parameters={{
      docs: {
        source: {
          language: 'html',
          code: `<digi-form-filter
                  af-name="Yrkesområde"
                  af-filter-button-text="Yrkesområde"
                  af-submit-button-text="Visa prognoser"></digi-form-filter>`,
        },
      },
    }}
  >
    /* html */
    {`
      <digi-form-filter
        af-name="Yrkesområde"
        af-filter-button-text="Yrkesområde"
        af-submit-button-text="Visa prognoser"
      >
        <digi-form-checkbox
          af-label="Arbetsförmedlare"
          af-variation="primary"
          ></digi-form-checkbox>
        <digi-form-checkbox
          af-label="Handläggare"
          af-variation="primary"
          ></digi-form-checkbox>
        <digi-form-checkbox
          af-label="Beslutshandläggare"
          af-variation="primary"
          ></digi-form-checkbox>
        <digi-form-checkbox
          af-label="Konsult"
          af-variation="primary"
          ></digi-form-checkbox>
      </digi-form-filter>
    `}
  </Story>
</Canvas>


## Selected

This is an example with checkboxes that are already selected.

<Canvas>
  <Story
    name="Selected"
  >
    /* html */
    {`
      <digi-form-filter
        af-name="Yrkesområde"
        af-filter-button-text="Yrkesområde"
        af-submit-button-text="Visa prognoser"
      >
        <digi-form-checkbox
          af-label="Arbetsförmedlare"
          af-variation="primary"
          af-checked="true"
          ></digi-form-checkbox>
        <digi-form-checkbox
          af-label="Handläggare"
          af-variation="primary"
          ></digi-form-checkbox>
        <digi-form-checkbox
          af-label="Beslutshandläggare"
          af-variation="primary"
          af-checked="true"
          ></digi-form-checkbox>
        <digi-form-checkbox
          af-label="Konsult"
          af-variation="primary"
          ></digi-form-checkbox>
      </digi-form-filter>
    `}
  </Story>
</Canvas>
